#include <iostream>

#include "hardware/i2c.h"
#include "pico/stdlib.h"

#include "lcd.h"
#include "ds18b20.h"

constexpr uint I2C_SDA_PIN = 26;
constexpr uint I2C_SCL_PIN = 27;

int main() {
  // Enable UART so we can print status output
  stdio_init_all();

  auto myLCD = LCD(i2c1, I2C_SDA_PIN, I2C_SCL_PIN);

  myLCD.sendString("Hallo, Welt");
  myLCD.clear();
  myLCD.sendString("Hallo, Wölt!");
}